<?php
if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}

$usegrid = 4;
$usegrid = 3;


//=================================================================================================
$refreshstring = '?rs='.time(); //forces refresh
$template_edit_link = false;
if ($wb->is_authenticated()) {
	if ($wb->ami_group_member('1')) {$template_edit_link = true;}	
	$refreshstring = '?rs='.time(); //force refresh of css and js
} 

$iMultiLang = 0; if (function_exists('language_menu')) { $sMultiLang = language_menu(); $iMultiLang = intval($sMultiLang!='');}

$isfrontpage = false;
if ( !isset($page_id) OR ( isset($template_id) AND $page_id==4) ) { $isfrontpage = true; } // websitebaker.at presentation 

?>
<!DOCTYPE html>
<html lang="<?php echo strtolower(LANGUAGE); ?>">
<head>
<?php if(function_exists('simplepagehead')) {
	simplepagehead('/', 1, 0, 1);
} else { ?>
<title><?php page_title(); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<?php } 

if(function_exists('register_frontend_modfiles')) {
	register_frontend_modfiles('css');
	register_frontend_modfiles('jquery');
	register_frontend_modfiles('js');
} ?>
<link href="<?php echo TEMPLATE_DIR; ?>/editor.css<?php echo $refreshstring; ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo TEMPLATE_DIR; ?>/template.css<?php echo $refreshstring; ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo TEMPLATE_DIR; ?>/colorset/colorset.php<?php echo $refreshstring; ?>" rel="stylesheet" type="text/css" />

<meta name="viewport" content="width=device-width, initial-scale=1">

<?php 
// Generate vistor statistic if module is installed 
if (file_exists(WB_PATH.'/modules/wbstats/count.php')) { 
	include (WB_PATH.'/modules/wbstats/count.php'); 
} 


if (SHOW_SEARCH) { 
	$topmenu_extra = '<li class="search_box_li" style="" ><a href="'.WB_URL.'/search/"><span><img style="height:16px"  src="'.TEMPLATE_DIR.'/img/search.png" alt="Search" /></span></a></li>'; 
} else {
	$topmenu_extra = '';
}

ob_start(); 
show_menu2(1, SM2_ROOT+$iMultiLang, SM2_ALL, SM2_ALL, '<li class="lev[level]  [class]"><a href="[url]" class="pid[page_id] [class]"><span>[menu_title]</span></a>', "</li>", '<ul>', "</ul>", true, '<ul id="header_menu" class="menu">');
$topmenu = ob_get_contents();
ob_end_clean();
//Bloede Konstruktion:
$topmenu = str_replace('</ul>X_X',$topmenu_extra.'</ul>', $topmenu.'X_X' );

ob_start(); 
show_menu2(2, SM2_ROOT+$iMultiLang, SM2_ALL, SM2_ALL, '<a href="[url]" class="pid[page_id] [class]"><span>[menu_title]</span></a>', '', '', "", true, '');
$footermenu = ob_get_contents();
ob_end_clean();	



require_once __DIR__.'/info.php'; //Wir laden die info.php
foreach($block as $k=>$v){ //und haengen in einer Schleife alle an.
	if ($k == 99) {continue;}  //ausser Block 99, der ist fuer "Keine Ausgabe" reserviert.
	ob_start(); page_content($k); $contentblock[$k] = ob_get_clean();
}

// Manche Module koennen auch einen 2. Block ausgeben, der im ersten Block definiert wurde:
if(defined('MODULES_BLOCK2') AND MODULES_BLOCK2 != '') { 
	$contentblock[2] .= MODULES_BLOCK2; //der 2. Block wird einfach erweitert.
}

if(defined('TOPIC_BLOCK2') AND TOPIC_BLOCK2 != '') { 
	$contentblock[2] = TOPIC_BLOCK2; //Bei Topics sollte der 2. Block aber vollstaendig ersetzt werden.
}



//============================================================================================================
//Weiteres:

//Manche Module definieren ein og:image. Das ist das Bild, das Facebook anzeigt, wenn du eine Seite dort verlinkst.
if(defined('OG_IMAGE') AND OG_IMAGE != '') { 	echo '
	<meta property="og:image" content="'.OG_IMAGE.'"/>
';}



?>
</head>
<body class="body<?php echo $page_id; if ($isfrontpage == true) { echo ' frontpage'; } if ($contentblock[3]!= '') { echo ' hascontent3'; } ?>">
<a id="top"></a><div style="display:none;"><a href="#beginContent">skip to content</a></div>

<a tabindex="-1" aria-hidden="true" href="#" id="nav2close" class="toggleMobileMenu"><span style="display:none;">Close Mobile Menu</span></a><div id="nav2"></div>

<div id="topmenubox"><div class="m_inner">
	<a class="logo" href="<?php echo WB_URL; ?>"><img src="<?php echo TEMPLATE_DIR; ?>/img/logo.png" alt="<?php echo WEBSITE_TITLE; ?>" /></a><!-- end logo-->		
	<div role="navigation" id="nav"><?php echo $topmenu;?><br style="clear:left;"/></div><!-- end nav -->
	<a aria-hidden="true" class="toggleMobileMenu" href="#"><span style="display:none;">Mobile Menu</span></a>
</div></div><!-- end topmenubox -->

<div class="wrapper" id="beginContent">
	<div class="topspacer"></div>
	<?php
	if ($contentblock[10] != '') {		
		echo '<div>'.$contentblock[10].'</div>';
	} else {
		if ($isfrontpage == true) {
			echo '
			<div id="topparallax">				
				<div class="ptext">
					<h1>'.PAGE_TITLE.'</h1>
					<h3>'.PAGE_DESCRIPTION.'</h3>
					<a class="topdown" href="#" onclick="goto(\'downtop\');return false;"><img src="'.TEMPLATE_DIR.'/img/topdown.png" alt="scroll down" /></a>
				</div>
			</div>
			';
		} else {
			echo '<div class="topheader"><p>'.PAGE_TITLE.'</p></div>';
		}	
	}
	?>









	<div class="contentbox" id="downtop">
	<?php if ($contentblock[3] != '') {echo '<div class="top_content">'.$contentblock[3].'</div><div style="clear:both;"></div>';} else {echo '<div role="banner" id="topheaderbox"></div>';} ?>
	
	<div class="container">	
	<div class="mainbox usegrid<?php echo $usegrid; ?>">			
			<?php
			if ($contentblock[3]== '') {
				echo '<div role="main" class="content3 contentwide">'.$contentblock[3].'</div>';
			}
			
			if ($contentblock[2]== '') {
				echo '<div role="main" class="content contentwide">'.$contentblock[1].'</div>';
			} else {
				echo '<div role="main" class="content contentnarrow">'.$contentblock[1].'</div>
				<div id="rightbox" class="rightbox"><div role="complementary" class="inner">'.$contentblock[2].'</div><div style="clear:left; height:1px;"></div></div><!-- end rightbox -->
				';
			}
			
						
			?>
	
	</div><!-- end mainbox --><div class="clearcontent"></div>
	</div><!-- end container -->
	<?php if ($contentblock[4] != '') {echo '<div class="bottom_content">'.$contentblock[4].'</div><div class="clearcontent"></div>';} ?>
</div><!-- end contentbox -->
<div class="footerbox">
	<a id="gototopswitch" href="#" onclick="gototop();return false;"><img src="<?php echo TEMPLATE_DIR;?>/img/up.png" alt="Up" title="Go to top"></a>
	<div class="left">
	<?php if(FRONTEND_LOGIN) { echo '<div id="showlogin"><a href="#" onclick="showloginbox(); return false;"><img src="'.TEMPLATE_DIR.'/img/key.png" alt="K" /></a><div id="login-box" style="display:none"></div></div>';}  ?><!--LOGIN_URL, LOGOUT_URL,FORGOT_URL-->

	<?php 			
	if ($template_edit_link == true) {echo '<div id="editthis"><a href="'.ADMIN_URL.'/pages/modify.php?page_id='.$page_id.'">Edit</a></div>'; }					
	?>	
	
	
	</div><!-- End Left -->
	
	<div role="contentinfo" class="center">
	
	<?php 
	if ($footermenu != '') { echo '<div id="footer_menu">'.$footermenu.'</div>';}
	
	page_footer(); 
	if (LEVEL > 0 AND $page_id % 5 == 0) {echo '<div style="padding: 5px 0;">Designed by <a href="http://wbce.at" target="_blank">wbce.at</a></div>'; } 
	?>
	</div><!-- End center -->
	<div style="clear:both;"></div>
	</div><!-- end footerbox -->

</div><!-- end wrapper -->

	
<script>
	var cookie_permission_url = "<?php echo TEMPLATE_DIR?>/inc/cookie_permission.php?lang=<?php echo LANGUAGE?>";
</script>	
<script type="text/javascript" src="<?php echo TEMPLATE_DIR; ?>/template.js?<?php echo $refreshstring; ?>"></script>
<?php if (function_exists('register_frontend_modfiles_body')) { register_frontend_modfiles_body(); }


//Und das ist der Farbwaehler. Du kannst das loeschen, wenn du die Farben fixiert hast.
if ($template_edit_link == true) {include 'colorset/colorpicker.inc.php';} 


if ($isfrontpage == true) { 
echo '
<script>
$( document ).ready(function() {
	checkscrolled();
})
</script>
';

}
?>
</body>
</html>